HomeGuidesAPI ReferenceChangelog
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Set all tunnels on the system to the settings provided.

Use this method to set a group of properties across all existing tunnels on the system. There is an additional property called: 'apply_to_default' which can be used to change the settings of 'default' tunnel as well. This allows automatically established tunnels to come up with these settings.
Important: You can omit fields from the schema which you do not want to change.

Body Params

JSON object containing settings for a single tunnel

string

Admin state of the tunnel - takes two values: 'up' or 'down'.

boolean

Determines if the tunnel should have auto MTU detection.

ctrl_pkt
object
string

Destination IP address.

integer

GRE protocol in the GRE header

ipsec
object
string

IPSec ARC Window - not configurable.

boolean

A quick shortcut for knowing if tunnel mode is IPSec. You can get the same information using mode property.

integer

Routing segmentation segment ID

integer

If the tunnel max bandwidth is manually configured, use this field and set max_bw_auto to false. Units Kbps.

boolean

If the tunnel max bandwidth needs to be set to auto, this field must be true.

integer

Tunnel minimum bandwidth

string

Tunnel mode: it can be one of 'gre', 'udp', 'ipsec'

integer

Tunnel MTU. If 'auto_mtu' is false, user must set a specific tunnel mtu value

integer

Not used. Do not send in POST message

pkt
object
string

Source IP address of the tunnel.

threshold
object
string

Not used. Do not send in POST message.

integer

If the tunnel is of type 'udp', the udp port to use.

integer

If tunnel mode is udp, this field determines how many different udp flows are used to distribute tunnel traffic

Response
200

No response

Language
Response
Click Try It! to start a request and see the response here!